#ifndef CP_HEURISTIC_H
#define CP_HEURISTIC_H

#include "../evaluation_result.h"
#include "../../types.h"
#include "../../storage/array_compressor.h"

#include <memory>

namespace fd {
namespace sas_task {
class SASTask;
}

namespace heuristics {
namespace classic {

using StateData = storage::compression::CompressedArrayConstReference;

class ClassicalPlanningHeuristic {
public:
    ClassicalPlanningHeuristic(
            const std::shared_ptr<sas_task::SASTask> task);
    virtual EvaluationResult evaluate(const StateData& state) = 0;
protected:
    const std::shared_ptr<sas_task::SASTask> m_task;
};

}
}
}

#endif
