#include "utils.h"
#include <algorithm>

namespace fd {
namespace models {
namespace utils {

void combine_duplicate_states(
        std::vector<std::pair<ValueType, State> >& successors)
{
    static auto less = [](
            const std::pair<ValueType, State>& s1,
            const std::pair<ValueType, State>& s2) {
        return s1.second < s2.second;
    };
    std::sort(successors.begin(), successors.end(), less);
    for (int j = successors.size() - 1; j > 0; j--) {
        if (successors[j-1].second == successors[j].second) {
            successors[j-1].first += successors[j].first;
            if (j < (int) successors.size() - 1) {
                successors[j].swap(successors.back());
            }
            successors.pop_back();
        }
    }
}

}
}
}
