#ifndef SAS_PARSER_UTILS_H
#define SAS_PARSER_UTILS_H

#include <iostream>
#include <string>
#include <vector>

namespace fd {
namespace sas_task {

class FactPair;
class Variable;
class Action;

extern int PRE_FILE_VERSION;

void check_fact(const FactPair& fact, const std::vector<Variable>& variables);

void check_facts(
        const std::vector<FactPair>& facts,
        const std::vector<Variable>& variables);

void check_facts(
        const Action& action,
        const std::vector<Variable>& variables);

void check_magic(std::istream& in, const std::string& magic);

std::vector<FactPair> read_facts(std::istream& in);

}
}

#endif
