#ifndef MODELS_TYPES_H
#define MODELS_TYPES_H

namespace fd {

typedef unsigned int State;
typedef unsigned int Action;
typedef double ValueType;

ValueType fraction_to_value(int num, int denom);
bool      value_equal(const ValueType& v1, const ValueType& v2);
bool      value_less(const ValueType& v1, const ValueType& v2);
bool      value_greater(const ValueType& v1, const ValueType& v2);
ValueType value_max(const ValueType& v1, const ValueType& v2);
ValueType value_min(const ValueType& v1, const ValueType& v2);

extern const Action UNDEFINED_ACTION;
extern ValueType g_epsilon;

}

#endif
